Name:           ksensors
Version:        0.7.2
Release:        0.fdr.3.rh90
Epoch:          0
Summary:        An lm_sensors frontend for KDE

Group:          Applications/System
License:        GPL
URL:            http://ksensors.sourceforge.net/
Source0:        http://download.sourceforge.net/ksensors/ksensors-0.7.2.tar.gz
Patch0:         %{name}-hddtemp-detect.patch
Patch1:         http://ftp.debian.org/debian/pool/main/k/ksensors/ksensors_0.7.2-7.diff.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext, zlib-devel, XFree86-devel, qt-devel
BuildRequires:  libpng-devel, libjpeg-devel, kdelibs-devel, arts-devel
BuildRequires:  lm_sensors-devel, desktop-file-utils, libart_lgpl-devel

%description
KSensors is a nice lm-sensors frontend for the K Desktop Environment.
Install the hddtemp package if you wish to monitor hard disk
temperatures.

# -----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p1
# 0.7.2 comes with an unclean environment.
make distclean

# -----------------------------------------------------------------------------

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%configure --with-xinerama
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

install -D -p -m 0644 debian/ksensors.1 \
  $RPM_BUILD_ROOT%{_mandir}/man1/ksensors.1

desktop-file-install \
  --vendor fedora \
  --delete-original \
  --mode 0644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category KDE \
  --add-category Monitor \
  --add-category System \
  --add-category Applet \
  --add-category Application \
  --add-only-show-in KDE \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/%{name}.desktop

%find_lang %{name}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ LEEME LIESMICH LISEZMOI README TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/apps/ksensors
%{_datadir}/icons/*
%{_datadir}/autostart/*
%{_docdir}/HTML/*
%{_mandir}/man1/*

# -----------------------------------------------------------------------------

%changelog
* Sat Aug  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.2-0.fdr.3
- Own dirs under %%{_datadir}/icons and %%{_docdir}/HTML (bug 21).
- Don't tweak path to hddtemp.
- Patch to fix hddtemp detection.
- s/--enable-xinerama/--with-xinerama/
- Borrow man page from Debian.

* Sat May 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.2-0.fdr.2
- Spec cleanups.

* Fri Apr  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.2-0.fdr.1
- Update to current Fedora guidelines.
- Move desktop entry to %%{_datadir}/applications using desktop-file-install.

* Sun Feb 23 2003 Warren Togami <warren@togami.com> - 0.7.2-1.fedora.2
- BuildRequires libart_lgpl-devel needed for Red Hat 8.1

* Sun Feb 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.7.2-1.fedora.1
- Update to 0.7.2.
- Don't apply startup crash patch, but keep it around for now.

* Sat Feb 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.7-1.fedora.2
- Include startup crash patch from upstream SRPM.

* Sun Feb  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.7-1.fedora.1
- First Fedora release.
